import request from '@/apps/mobile/utils/request'

// 学堂管理 分页查询
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/schoolVideos/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/schoolVideos/update',
        data,
    });
}

// 批量上架
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/useBath',
        data,
    });
}

// 批量下架
export function noUseBath(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/noUseBath',
        data,
    });
}

// 获取电梯品牌列表
export function queryBrand(data) {
    return request({
        method: 'post',
        url: '/api/liftBrands/query-page',
        data,
    });
}

// 批量首页展示
export function showIndex(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/showIndex',
        data,
    });
}

// 批量取消首页展示
export function noshowIndex(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/noshowIndex',
        data,
    });
}

// 驳回
export function examine(data) {
    return request({
        method: 'post',
        url: '/api/schoolVideos/examine',
        data,
    });
}